MCP Tools Reference: logging.googleapis.com

Tool: get_bucket

Use this as the primary tool to get a specific log bucket by name. Log buckets are containers that store and organize your log data.

The following sample demonstrate how to use curl to invoke the get_bucket MCP tool.

Curl Request
                  
curl --location 'https://logging.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_bucket",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

The parameters to GetBucket.

GetBucketRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The resource name of the bucket:

"projects/[PROJECT_ID]/locations/[LOCATION_ID]/buckets/[BUCKET_ID]"
"organizations/[ORGANIZATION_ID]/locations/[LOCATION_ID]/buckets/[BUCKET_ID]"
"billingAccounts/[BILLING_ACCOUNT_ID]/locations/[LOCATION_ID]/buckets/[BUCKET_ID]"
"folders/[FOLDER_ID]/locations/[LOCATION_ID]/buckets/[BUCKET_ID]"

For example:

"projects/my-project/locations/global/buckets/my-bucket"

Output Schema

Describes a repository in which log entries are stored.

LogBucket

JSON representation
{
  "name": string,
  "description": string,
  "createTime": string,
  "updateTime": string,
  "retentionDays": integer,
  "locked": boolean,
  "lifecycleState": enum (LifecycleState),
  "analyticsEnabled": boolean,
  "restrictedFields": [
    string
  ],
  "indexConfigs": [
    {
      object (IndexConfig)
    }
  ],
  "cmekSettings": {
    object (CmekSettings)
  }
}
Fields
name

string

Output only. The resource name of the bucket.

For example:

projects/my-project/locations/global/buckets/my-bucket

For a list of supported locations, see Supported Regions

For the location of global it is unspecified where log entries are actually stored.

After a bucket has been created, the location cannot be changed.

description

string

Optional. Describes this bucket.

createTime

string (Timestamp format)

Output only. The creation timestamp of the bucket. This is not set for any of the default buckets.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

updateTime

string (Timestamp format)

Output only. The last update timestamp of the bucket.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

retentionDays

integer

Optional. Logs will be retained by default for this amount of time, after which they will automatically be deleted. The minimum retention period is 1 day. If this value is set to zero at bucket creation time, the default time of 30 days will be used.

locked

boolean

Optional. Whether the bucket is locked.

The retention period on a locked bucket cannot be changed. Locked buckets may only be deleted if they are empty.

lifecycleState

enum (LifecycleState)

Output only. The bucket lifecycle state.

analyticsEnabled

boolean

Optional. Whether log analytics is enabled for this bucket.

Once enabled, log analytics features cannot be disabled.

restrictedFields[]

string

Optional. Log entry field paths that are denied access in this bucket.

The following fields and their children are eligible: textPayload, jsonPayload, protoPayload, httpRequest, labels, sourceLocation.

Restricting a repeated field will restrict all values. Adding a parent will block all child fields. (e.g. foo.bar will block foo.bar.baz)

indexConfigs[]

object (IndexConfig)

Optional. A list of indexed fields and related configuration data.

cmekSettings

object (CmekSettings)

Optional. The CMEK settings of the log bucket. If present, new log entries written to this log bucket are encrypted using the CMEK key provided in this configuration. If a log bucket has CMEK settings, the CMEK settings cannot be disabled later by updating the log bucket. Changing the KMS key is allowed.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

IndexConfig

JSON representation
{
  "fieldPath": string,
  "type": enum (IndexType),
  "createTime": string
}
Fields
fieldPath

string

Required. The LogEntry field path to index.

Note that some paths are automatically indexed, and other paths are not eligible for indexing. See [indexing documentation]( https://docs.cloud.google.com/logging/docs/analyze/custom-index) for details.

For example: jsonPayload.request.status

type

enum (IndexType)

Required. The type of data in this index.

createTime

string (Timestamp format)

Output only. The timestamp when the index was last modified.

This is used to return the timestamp, and will be ignored if supplied during update.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

CmekSettings

JSON representation
{
  "name": string,
  "kmsKeyName": string,
  "kmsKeyVersionName": string,
  "serviceAccountId": string
}
Fields
name

string

Output only. The resource name of the CMEK settings.

kmsKeyName

string

Optional. The resource name for the configured Cloud KMS key.

KMS key name format:

"projects/[PROJECT_ID]/locations/[LOCATION]/keyRings/[KEYRING]/cryptoKeys/[KEY]"

For example:

"projects/my-project/locations/us-central1/keyRings/my-ring/cryptoKeys/my-key"

To enable CMEK for the Log Router, set this field to a valid kms_key_name for which the associated service account has the needed cloudkms.cryptoKeyEncrypterDecrypter roles assigned for the key.

The Cloud KMS key used by the Log Router can be updated by changing the kms_key_name to a new valid key name or disabled by setting the key name to an empty string. Encryption operations that are in progress will be completed with the key that was in use when they started. Decryption operations will be completed using the key that was used at the time of encryption unless access to that key has been revoked.

To disable CMEK for the Log Router, set this field to an empty string.

See Configure CMEK for Cloud Logging for more information.

kmsKeyVersionName

string

Output only. The CryptoKeyVersion resource name for the configured Cloud KMS key.

KMS key name format:

"projects/[PROJECT_ID]/locations/[LOCATION]/keyRings/[KEYRING]/cryptoKeys/[KEY]/cryptoKeyVersions/[VERSION]"

For example:

"projects/my-project/locations/us-central1/keyRings/my-ring/cryptoKeys/my-key/cryptoKeyVersions/1"

This is a read-only field used to convey the specific configured CryptoKeyVersion of kms_key that has been configured. It will be populated in cases where the CMEK settings are bound to a single key version.

If this field is populated, the kms_key is tied to a specific CryptoKeyVersion.

serviceAccountId

string

Output only. The service account that will be used by the Log Router to access your Cloud KMS key.

Before enabling CMEK for Log Router, you must first assign the cloudkms.cryptoKeyEncrypterDecrypter role to the service account that the Log Router will use to access your Cloud KMS key. Use GetCmekSettings to obtain the service account ID.

See Configure CMEK for Cloud Logging for more information.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌